# Legends of Midgard

Legends of Midgard is a terminal-based rogue-like role playing game.

## Building

Rust and Cargo need to be installed to run this game. Then, simply run the following command:

```
cargo run
```

## Building for the web

This game can be compiled to wasm, to be included on a website.
To do this, there's a `build_wasm.sh` file in the `contrib/` directory.
Execute it from the root of the project, then host the `wasm` directory with a web-server of your choice.

```
sh contrib/build_wasm.sh
cd wasm
python3 -m http.server
```

## License

This game is licensed under [GPLv3](./LICENSE).
